{% extends 'user.html.twig' %}

{% block title %}Gérer les diplomes{% endblock %}

{% block body %}
<section class="container">
	<div class="row justify-content-md-center p-5">
		<h1>Gérer les diplomes</h1>
		<a href="{{ path("diplome_ajout") }}" class="btn btn-primary" role="button">+</a>
		<table class="table striped centered">
			<thead>
				<tr>
					<th>Nom de la formation</th>
					<th>Date de début</th>
					<th>Date de fin</th>
					<th class="text-center">Actions</th>
				</tr>
			</thead>
			<tbody>
			{% for diplome in diplomes %}
				{% if diplome.accept == true and diplome.user == app.user %}
				<tr>
					<td>{{diplome.formation}}</td>
					<td>{{diplome.dateDebutFormation | date("d/m/Y") }}</td>
					<td>{{diplome.dateFinFormation | date("d/m/Y") }}</td>
					<td class="text-center">
						<a href="{{ path("diplome_show", {id:diplome.id}) }}" class="btn blue"><i class="bi bi-eye"></i></a>
						<a href="{{ path("diplome_edit", {id: diplome.id}) }}" class="btn blue"><i class="bi bi-pencil-square"></i></a>
						<a href="#" class="btn primary press modal-trigger" data-target="modal-delete" data-id="{{diplome.id}}" data-titre="{{diplome.libelleFormation}}"><i class="bi bi-trash"></i></a>
					</td>
				</tr>
				{% endif %}
			{% endfor %}
			</tbody>
		</table>
		<div class="modal white falling" id="modal-delete">
			<div class="modal-header">Supprimer un diplome</div>
			<div class="divider"></div>
			<div class="modal-content">
			</div>
			<div class="divider"></div>
			<div class="modal-footer">
				<a href="" class="btn red">Valider</a>
				<button data-target="modal-delete" class="ml-auto btn small primary modal-trigger">Fermer</button>
			</div>
		</div>
	</div>
</section>
{% endblock %}

{% block javascripts %}
	<script>
		window.onload = () => {
			let modal = new Modal('#modal-delete');
			/*let activer = document.querySelectorAll("[type=checkbox]")
			for (let bouton of activer) {
				bouton.addEventListener("click", function () {
					let xmlhttp = new XMLHttpRequest;
					xmlhttp.open("get", `/admin/annonces/activer/${this.dataset.id}`)
					xmlhttp.send()
				})
			}*/
			let supprimer = document.querySelectorAll(".modal-trigger")
			for(let bouton of supprimer){
				bouton.addEventListener("click", function () {
					document.querySelector(".modal-footer a").href = `/diplome/supprimer/${this.dataset.id}`
					document.querySelector(".modal-content").innerText = `Êtes-vous sûr(e) de vouloir supprimer le diplome "${this.dataset.libelleFormation}"`
				})
			}
		}
	</script>
{% endblock %}
